[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataSet.InsertRecord

Insert a new record with given values.

## Declaration

Source position: db.pas line 1703

`public procedure TDataSet.InsertRecord(`
`const Values: array of Const`
`);`

## Arguments

`Values` |  | Values to apply

## Description

InsertRecord is not yet implemented in Free Pascal. It does nothing.

## See also

TDataset.Insert |  | Insert a new record at the current position.
TDataset.SetFieldValues